petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSectionGetFieldPointSyms

Get the symmetries for a set of points in a field of a PetscSection under specific orientations.

### Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetFieldPointSyms(PetscSection section, PetscInt field, PetscInt numPoints, const PetscInt *points, const PetscInt ***perms, const PetscScalar ***rots)

Not collective

### Input Parameters

| section | - the section
| field | - the field of the section
| numPoints | - the number of points
| points | - an array of size 2 * numPoints, containing a list of (point, orientation) pairs. (An orientation is an arbitrary integer: its interpretation is up to sym. Orientations are used by DM: for their interpretation in that context, see DMPlexGetConeOrientation()).

### Output Parameter

| perms | - The permutations for the given orientations (or NULL if there is no symmetry or the permutation is the identity).
| rots | - The field rotations symmetries for the given orientations (or NULL if there is no symmetry or the rotations are all identity).

### See Also

PetscSectionGetPointSyms(), PetscSectionRestoreFieldPointSyms()

### Level

developer

### Location

src/vec/is/section/interface/section.c
Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages